<?php
/**
 *
 * Slideshow Management. An extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2021 Huynh Buu Tam <https://www.tamit.net>
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

$lang = array_merge($lang, array(
	// Manage slides
	'SLIDE_SETTINGS'					=> 'Ajustes de diapositiva',
	'SLIDE_STATUS'						=> 'Estado',
	'SLIDE_TITLE'						=> 'Título de la diapositiva',
	'SLIDE_TITLE_EXPLAIN'				=> 'Introduce el título de la diapositiva aquí.',
	'SLIDE_ENABLED'						=> 'Habilitar diapositiva',
	'SLIDE_ENABLED_EXPLAIN'				=> 'Si está desactivada, esta diapositiva no se mostrará.',
	'SLIDE_DESCRIPTION'					=> 'Descripción del la diapositiva',
	'SLIDE_DESCRIPTION_EXPLAIN'			=> 'Introduce la descripción de la miniatura aquí.',
	'SLIDE_IMAGE'						=> 'Imagen de miniatura',
	'SLIDE_IMAGE_EXPLAIN'				=> 'Introduce la imagen de miniatura aquí (URL).',
	'SLIDE_LINK'						=> 'Enlace de miniatura',
	'SLIDE_LINK_EXPLAIN'				=> 'Introduce el enlace de miniatura aquí (URL).',
	'SLIDE_SETTINGS_NOT_AFFECTED'		=> 'El modo <samp>Nuevos tema</samp> está habilitado actualmente. La siguiente configuración se aplicará después de deshabilitar el modo <samp>Nuevos temas</samp>.',
	// Upload
	'UPLOAD_IMAGE_LEGEND'				=> 'Subir imagen',
	'UPLOAD_IMAGE'						=> 'Subir nueva imagen',
	'UPLOAD_IMAGE_UPLOADED'				=> 'La imagen ha sido subida. El enlace a la imagen se ha enviado al campo de imagen de la diapositiva.',
	'UPLOAD_IMAGE_EXPLAIN'				=> 'Puedes subir una imagen en formato JPG, GIF o PNG. La imagen se almacenará en el directorio <samp>images</samp> de phpBB (tamit_slideshow) y se insertará automáticamente un enlace para la imagen en el campo de imagen de la diapositiva. Ten en cuenta que se sobrescribirá la imagen existente con el mismo nombre de archivo de la imagen cargada.',
	'UPLOAD_SUBMIT'						=> 'Subir',
	
	'SLIDE_ENABLE_TITLE'				=> array(
		0 => 'Click to enable',
		1 => 'Click to disable',
	),
	
	'ACP_SLIDES_EMPTY'					=> 'No hay diapositivas para mostrar. Añade una usando el botón de abajo.',
	'ACP_SLIDES_FIX_POSITION'			=> 'Corregir posiciones de diapositivas',
	'ACP_SLIDES_ADD'					=> 'Añadir nueva diapositivaAdd new slide',
	'ACP_SLIDES_EDIT'					=> 'Editar diapositiva',

	'SLIDE_TITLE_REQUIRED'				=> 'Se requiere título.',
	'SLIDE_TITLE_TOO_LONG'				=> 'La longitud del título está limitada a %d caracteres.',
	'SLIDE_LINK_INCORRECT'				=> 'El enlace de la diapositiva debe estar en una URL correcta',
	'SLIDE_IMAGE_INCORRECT'				=> 'La imagen de la diapositiva debe estar en una URL correcta',
	'NO_FILE_SELECTED'					=> 'Ningún archivo seleccionado.',
	'CANNOT_CREATE_DIRECTORY'			=> 'No se pudo crear el directorio <samp>tamit_slideshow</samp>. Asegúrate de que se pueda escribir en el directorio <samp>/images</samp>.',
	'FILE_MOVE_UNSUCCESSFUL'			=> 'No se puede mover el archivo a <samp>images/tamit_slideshow</samp>.',
	'ACP_SLIDE_DOES_NOT_EXIST'			=> 'La diapositiva no existe.',
	'ACP_SLIDE_ADD_SUCCESS'				=> 'Diapositiva añadida correctamente.',
	'ACP_SLIDE_EDIT_SUCCESS'			=> 'Diapositiva editada correctamente.',
	'ACP_SLIDE_DELETE_SUCCESS'			=> 'Diapositiva borrada correctamente.',
	'ACP_SLIDE_DELETE_ERRORED'			=> 'Hubo un error al eliminar la diapositiva.',
	'ACP_SLIDE_ENABLE_SUCCESS'			=> 'Diapositiva habilitada correctamente.',
	'ACP_SLIDE_ENABLE_ERRORED'			=> 'Hubo un error al habilitar la diapositiva.',
	'ACP_SLIDE_DISABLE_SUCCESS'			=> 'Diapositiva deshabilitada correctamente.',
	'ACP_SLIDE_DISABLE_ERRORED'			=> 'Hubo un error al deshabilitar la diapositiva.',
	'ACP_SLIDE_MOVEUP_SUCCESS'			=> 'La diapositiva se movió hacia arriba correctamente.',
	'ACP_SLIDE_MOVEUP_ERRORED'			=> 'Se ha producido un error al mover la diapositiva hacia arriba.',
	'ACP_SLIDE_MOVEDOWN_SUCCESS'		=> 'La diapositiva se movió hacia abajo correctamente.',
	'ACP_SLIDE_MOVEDOWN_ERRORED'		=> 'Hubo un error al mover la diapositiva hacia abajo.',
	'ACP_FIX_POSITION_SUCCESS'			=> 'Se corrigieron todas las posiciones de diapositivas.',
	'ACP_FIX_POSITION_ERRORED'			=> 'Se ha producido un error al corregir las posiciones de las diapositivas.',

	// Settings
	'SLIDESHOW_APPEARENCE'				=> 'Aspecto de diapositivas',
	'SLIDESHOW_BOX'						=> 'Usar una caja',
	'SLIDESHOW_BOX_EXPLAIN'				=> 'Envuelve la presentación de diapositivas con el contenedor de estilo.',
	'SLIDESHOW_NAVIGATOR'				=> 'Navegador',
	'SLIDESHOW_NAVIGATOR_EXPLAIN'		=> 'Elige el navegador para mostrar.',
	
	'CAT_NAV_IMAGE'						=> 'Imagen del navegador',
	'CAT_NAV_DOT'						=> 'Navegador de puntos',
	
	'SLIDESHOW_TARGET_LEGEND'			=> 'Destino de la diapositiva',
	'SLIDESHOW_TARGET'					=> 'Página de destino',
	'SLIDESHOW_TARGET_EXPLAIN'			=> 'Elige páginas para mostrar la presentación de diapositivas.',

	'CAT_TARGET_INDEX'					=> 'Índice',
	'CAT_TARGET_VIEWFORUM'				=> 'Viendo un foro',
	'CAT_TARGET_VIEWTOPIC'				=> 'Viendo un tema',
	
	'SLIDESHOW_DURATION'				=> 'Duración',
	'SLIDESHOW_DURATION_EXPLAIN'		=> '¿Cuánto tiempo se mostrará cada diapositiva? (en milisegundos)',
	
	'SLIDESHOW_MODE'								=> 'Modo de diapositivas',
	'SLIDESHOW_MODE_TOPICS'							=> 'Nuevos temas',
	'SLIDESHOW_MODE_TOPICS_EXPLAIN'					=> 'Establece los temas más recientes como diapositivas.',
	'SLIDESHOW_TOPIC_MAX_LENGTH'					=> 'Longitud máxima',
	'SLIDESHOW_TOPIC_MAX_LENGTH_EXPLAIN'			=> 'Longitud máxima del contenido del mensaje para mostrar en la descripción. Establécelo en 0 si desea ocultar el contenido del mensaje.',
	'SLIDESHOW_TOPIC_HIDE_PROTECTED_FORUM'			=> 'Ocultar mensajes del foro protegido con contraseña',
	'SLIDESHOW_TOPIC_HIDE_PROTECTED_FORUM_EXPLAIN'	=> 'No mostrar mensajes del foro protegido con contraseña.',
	'SLIDESHOW_TOPIC_COUNT'							=> 'Cantidad de temas',
	'SLIDESHOW_TOPIC_COUNT_EXPLAIN'					=> 'Número de temas a obtener.',
	'SLIDESHOW_TOPIC_HIDE_BBCODE'					=> 'Ocultar contenido BBCode',
	'SLIDESHOW_TOPIC_HIDE_BBCODE_EXPLAIN'			=> 'Si deseas ocultar el contenido de varios BBCodes, ingresa cada nombre de BBCode aquí, separados por comas (,), no incluyas los corchetes (por ejemplo, <samp>url, código</samp>).',
	'SLIDESHOW_DEFAULT_IMAGE'						=> 'Imagen por defecto',
	'SLIDESHOW_DEFAULT_IMAGE_EXPLAIN'				=> 'Si el primer mensaje del tema no tiene ninguna imagen (usando BBcode IMG o archivos adjuntos en línea), usa la imagen predeterminada en su lugar.',

	'ACP_SLIDE_SETTINGS_SAVED'						=> 'Ajustes de Gestión de diapositivas guardados.'
));
